﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace CheckboxColumnInDataGrid
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            List<Person> lstPer = new List<Person>();
            lstPer.Add(new Person()
            {
                Name = "John",
                IsChecked = true
            });
        lstPer.Add(new Person()
        {
            Name = "peter",
                IsChecked = true
        });
        lstPer.Add(new Person()
        {
            Name = "Jam K",
                IsChecked = true
        });
        lstPer.Add(new Person()
        {
            Name = "Andrew",
                IsChecked = true
        });

            dgrid.ItemsSource = lstPer;
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            //e.OriginalSource
        }

        private void CheckBox_Checked(object sender, RoutedEventArgs e)
        {
            C1.Silverlight.DataGrid.DataGridCellPresenter parent = (e.OriginalSource as CheckBox).Parent as C1.Silverlight.DataGrid.DataGridCellPresenter;
            dgrid.CurrentRow = parent.Row;
        }

        private void CheckBox_Unchecked(object sender, RoutedEventArgs e)
        {
            C1.Silverlight.DataGrid.DataGridCellPresenter parent = (e.OriginalSource as CheckBox).Parent as C1.Silverlight.DataGrid.DataGridCellPresenter;
            dgrid.CurrentRow = parent.Row;
        }
    }

    public class Person
    {
        public string Name { get; set; }
        public bool IsChecked { get; set; }
    }
}
